Intereting Posts

Не удалось выполнить zipalign apk android studio 2.2

Я публикую свое приложение, используя предварительный просмотр Android версии 2.2 и создавая подписанный apk. Но когда я загружаю apk в google play, я получаю ошибку

You uploaded an APK that is not zip aligned. You will need to run a zip align tool on your APK and upload it again. 

Также я попытался использовать инструмент zipalign вручную, но я получаю подтверждение ошибки.
Вот мой файл build.gradle

 android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfig { applicationId "blackdogs.newaomsi" minSdkVersion 16 targetSdkVersion 23 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { zipAlignEnabled true minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } }} 

Понял. Ошибка возникла из-за того, что я использовал версию gradle. Более ранняя версия градиента до

  'com.android.tools.build:gradle:2.1.2' 

Это известная проблема с Android Studio 2.2 Preview 3, как объясняется в этом сообщении в блоге и этой проблеме .

Вам нужно загрузить Preview 2 или использовать стабильную версию Android Studio.

Решена в следующем выпуске

Classpath 'com.android.tools.build:gradle: 2.2.0-alpha4 '

Ссылка: https://code.google.com/p/android/issues/detail?id=212591